### Enumeration

# Qmi NasSwiEmmState

since: 1.24

#### Declaration

    enum Qmi.NasSwiEmmState

#### Description [src]

EMM registration state. (Sierra Wireless specific).

Available since: 1.24

#### Members

`QMI_NAS_SWI_EMM_STATE_DEREGISTERED`

  Deregistered.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_STATE_REG_INITIATED`

  Registration initiated.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_STATE_REGISTERED`

  Registered.

  - Value: `2`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_STATE_TAU_INITIATED`

  TAU initiated.

  - Value: `3`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_STATE_SR_INITIATED`

  SR initiated.

  - Value: `4`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_STATE_DEREG_INITIATED`

  Deregistration initiated.

  - Value: `5`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_STATE_INVALID`

  Invalid.

  - Value: `6`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_STATE_UNKNOWN`

  Unknown.

  - Value: `255`
  - Available since: 1.24

#### Type functions

###### qmi_nas_swi_emm_state_get_string

Gets the nickname string for the `QmiNasSwiEmmState` specified at `val`.

since: 1.24